r5377 - in trunk/BOOK/xsoft: graphweb office other suites

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Thu Dec 8 04:17:41 PST 2005


Author: manuel
Date: 2005-12-08 05:17:37 -0700 (Thu, 08 Dec 2005)
New Revision: 5377

Modified:
   trunk/BOOK/xsoft/graphweb/dillo.xml
   trunk/BOOK/xsoft/graphweb/firefox.xml
   trunk/BOOK/xsoft/graphweb/galeon.xml
   trunk/BOOK/xsoft/graphweb/mozilla.xml
   trunk/BOOK/xsoft/office/abiword.xml
   trunk/BOOK/xsoft/office/evolution.xml
   trunk/BOOK/xsoft/office/gimp.xml
   trunk/BOOK/xsoft/office/gnucash.xml
   trunk/BOOK/xsoft/office/gnumeric.xml
   trunk/BOOK/xsoft/other/balsa.xml
   trunk/BOOK/xsoft/other/pan.xml
   trunk/BOOK/xsoft/other/thunderbird.xml
   trunk/BOOK/xsoft/suites/koffice.xml
   trunk/BOOK/xsoft/suites/openoffice.xml
Log:
Adding automatized scripts generation related tags. Xsoft part.

Modified: trunk/BOOK/xsoft/graphweb/dillo.xml
===================================================================
--- trunk/BOOK/xsoft/graphweb/dillo.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/graphweb/dillo.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -18,6 +18,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">dillo-&dillo-version;.tar</keyword>
+      <keyword role="ftptdir">dillo</keyword>
+    </keywordset>
   </sect1info>
 
   <title>Dillo-&dillo-version;</title>
@@ -62,10 +66,10 @@
     <bridgehead renderas="sect3">Dillo Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="GTK"/></para>
+    <para role="required"><xref linkend="GTK"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="openssl"/>,
+    <para role="optional"><xref linkend="openssl"/>,
     <xref linkend="wget"/> (for downloading via FTP) and
     <ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink></para>
 

Modified: trunk/BOOK/xsoft/graphweb/firefox.xml
===================================================================
--- trunk/BOOK/xsoft/graphweb/firefox.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/graphweb/firefox.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -29,6 +29,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">firefox-&firefox-version;-source.tar</keyword>
+      <keyword role="ftptdir">firefox</keyword>
+    </keywordset>
   </sect1info>
 
   <title>Firefox-&firefox-version;</title>
@@ -76,12 +80,12 @@
     <bridgehead renderas="sect3">Firefox Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="gtk2"/>,
+    <para role="required"><xref linkend="gtk2"/>,
     <xref linkend="libidl"/> and
     <xref linkend="zip"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="libjpeg"/>,
+    <para role="optional"><xref linkend="libjpeg"/>,
     <xref linkend="unzip"/>,
     <xref linkend="gnome-vfs"/> and
     <xref linkend="libgnome"/> (to build the gnomevfs extension),

Modified: trunk/BOOK/xsoft/graphweb/galeon.xml
===================================================================
--- trunk/BOOK/xsoft/graphweb/galeon.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/graphweb/galeon.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -18,6 +18,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">galeon-&galeon-version;.tar</keyword>
+      <keyword role="ftptdir">galeon</keyword>
+    </keywordset>
   </sect1info>
 
   <title>Galeon-&galeon-version;</title>
@@ -59,12 +63,13 @@
     <bridgehead renderas="sect3">Galeon Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="gnome-desktop"/> and
+    <para role="required"><xref linkend="gnome-desktop"/> and
     <xref linkend="mozilla"/> or <xref linkend="firefox"/> or
     <xref linkend="thunderbird"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="nautilus"/> and <xref linkend="libgtkhtml"/></para>
+    <para role="optional"><xref linkend="nautilus"/> and
+    <xref linkend="libgtkhtml"/></para>
 
   </sect2>
 

Modified: trunk/BOOK/xsoft/graphweb/mozilla.xml
===================================================================
--- trunk/BOOK/xsoft/graphweb/mozilla.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/graphweb/mozilla.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -23,6 +23,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">mozilla-&mozilla-version;-source.tar</keyword>
+      <keyword role="ftptdir">mozilla</keyword>
+    </keywordset>
   </sect1info>
 
   <title>Mozilla-&mozilla-version;</title>
@@ -118,16 +122,16 @@
     <bridgehead renderas="sect3">Mozilla Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="zip"/>,
+    <para role="required"><xref linkend="zip"/>,
     <xref linkend="gtk2"/>,
     <xref linkend="libidl"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="gnupg"/> (for the <application>Enigmail</application>
-    extension)</para>
+    <para role="recommended"><xref linkend="gnupg"/> (for the
+    <application>Enigmail</application> extension)</para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="libjpeg"/>,
+    <para role="optional"><xref linkend="libjpeg"/>,
     <xref linkend="unzip"/>,
     <xref linkend="gnome-vfs"/> (to build the gnomevfs extension),
     <xref linkend="libart_lgpl"/>,

Modified: trunk/BOOK/xsoft/office/abiword.xml
===================================================================
--- trunk/BOOK/xsoft/office/abiword.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/office/abiword.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -18,6 +18,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">abiword-&AbiWord-version;.tar</keyword>
+      <keyword role="ftptdir">abiword</keyword>
+    </keywordset>
   </sect1info>
 
   <title>AbiWord-&AbiWord-version;</title>
@@ -58,15 +62,15 @@
     <bridgehead renderas="sect3">AbiWord Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="popt"/>,
+    <para role="required"><xref linkend="popt"/>,
     <xref linkend="libglade"/> and
     <xref linkend="fribidi"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="libjpeg"/></para>
+    <para role="recommended"><xref linkend="libjpeg"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="gucharmap"/>,
+    <para role="optional"><xref linkend="gucharmap"/>,
     <xref linkend="libgnomeprintui"/>,
     <xref linkend="libgnomeui"/>,
     <xref linkend="imagemagick"/>,
@@ -77,7 +81,7 @@
     installed first)</para>
 
     <bridgehead renderas="sect4">Optional for Plugins</bridgehead>
-    <para><xref linkend="librsvg"/>,
+    <para role="optional"><xref linkend="librsvg"/>,
     <xref linkend="gnome-utils"/>,
     <xref linkend="nautilus"/>,
     <xref linkend="html-tidy"/>,

Modified: trunk/BOOK/xsoft/office/evolution.xml
===================================================================
--- trunk/BOOK/xsoft/office/evolution.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/office/evolution.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -18,6 +18,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">evolution-&evolution-version;.tar</keyword>
+      <keyword role="ftptdir">evolution</keyword>
+    </keywordset>
   </sect1info>
 
   <title>Evolution-&evolution-version;</title>
@@ -58,17 +62,17 @@
     <bridgehead renderas="sect3">Evolution Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="gtkhtml"/> and
+    <para role="required"><xref linkend="gtkhtml"/> and
     <xref linkend="evolution-data-server"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="mozilla"/> or
+    <para role="recommended"><xref linkend="mozilla"/> or
     <xref linkend="firefox"/> or
     <xref linkend="thunderbird"/> (for the NSS and NSPR libraries
     required for SSL and S/MIME support)</para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="gstreamer"/>,
+    <para role="optional"><xref linkend="gstreamer"/>,
     <xref linkend="openldap"/>,
     <xref linkend="sendmail"/> (or other
     <ulink url="../server/mail.html">MTA</ulink> that links to

Modified: trunk/BOOK/xsoft/office/gimp.xml
===================================================================
--- trunk/BOOK/xsoft/office/gimp.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/office/gimp.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -23,6 +23,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">gimp-&gimp-version;.tar</keyword>
+      <keyword role="ftptdir">gimp</keyword>
+    </keywordset>
   </sect1info>
 
   <title>GIMP-&gimp-version;</title>
@@ -85,16 +89,16 @@
     <bridgehead renderas="sect3">GIMP Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="gtk2"/>,
+    <para role="required"><xref linkend="gtk2"/>,
     <xref linkend="libart_lgpl"/> and
     <xref linkend="perl-xml-parser"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="libjpeg"/> and
+    <para role="recommended"><xref linkend="libjpeg"/> and
     <xref linkend="libtiff"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="gimp-print"/>,
+    <para role="optional"><xref linkend="gimp-print"/>,
     <xref linkend="libmng"/>,
     <xref linkend="librsvg"/>,
     <xref linkend="aalib"/>,

Modified: trunk/BOOK/xsoft/office/gnucash.xml
===================================================================
--- trunk/BOOK/xsoft/office/gnucash.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/office/gnucash.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -21,6 +21,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">gnucash-&gnucash-version;.tar</keyword>
+      <keyword role="ftptdir">gnucash</keyword>
+    </keywordset>
   </sect1info>
 
   <title>GnuCash-&gnucash-version;</title>
@@ -70,7 +74,7 @@
     <bridgehead renderas="sect3">GnuCash Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="oaf"/>,
+    <para role="required"><xref linkend="oaf"/>,
     <xref linkend="gal1"/>,
     <xref linkend="gtkhtml1"/>,
     <xref linkend="libghttp"/>,
@@ -78,7 +82,7 @@
     <xref linkend="slib"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="postgresql"/>,
+    <para role="optional"><xref linkend="postgresql"/>,
     <xref linkend="guppi"/>,
     <xref linkend="scrollkeeper"/>,
     <xref linkend="doxygen"/>,
@@ -87,8 +91,8 @@
     <ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink></para>
 
     <bridgehead renderas="sect4">Optional (for On-Line Banking)</bridgehead>
-    <para><ulink url="http://libofx.sourceforge.net/">LibOFX</ulink> (requires
-    <xref linkend="opensp"/> and <xref linkend="curl"/>),
+    <para role="optional"><ulink url="http://libofx.sourceforge.net/">LibOFX</ulink>
+    (requires <xref linkend="opensp"/> and <xref linkend="curl"/>),
     <ulink url="http://sourceforge.net/projects/ktoblzcheck">KtoBlzCheck</ulink>,
     <ulink url="http://sourceforge.net/projects/aqhbci">AqHBCI</ulink>
     (requires

Modified: trunk/BOOK/xsoft/office/gnumeric.xml
===================================================================
--- trunk/BOOK/xsoft/office/gnumeric.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/office/gnumeric.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -18,6 +18,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">gnumeric-&gnumeric-version;.tar</keyword>
+      <keyword role="ftptdir">gnumeric</keyword>
+    </keywordset>
   </sect1info>
 
   <title>Gnumeric-&gnumeric-version;</title>
@@ -65,11 +69,11 @@
     <bridgehead renderas="sect3">Gnumeric Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="libgnomeprintui"/> and
+    <para role="required"><xref linkend="libgnomeprintui"/> and
     <xref linkend="libgsf"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="libgnomeui"/>,
+    <para role="optional"><xref linkend="libgnomeui"/>,
     <xref linkend="python"/>,
     <ulink url="http://www.pygtk.org/">PyGTK</ulink>,
     <ulink url="http://www.gnome-db.org/download.php">libgnomedb</ulink>

Modified: trunk/BOOK/xsoft/other/balsa.xml
===================================================================
--- trunk/BOOK/xsoft/other/balsa.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/other/balsa.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -18,6 +18,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">balsa-&balsa-version;.tar</keyword>
+      <keyword role="ftptdir">balsa</keyword>
+    </keywordset>
   </sect1info>
 
   <title>Balsa-&balsa-version;</title>
@@ -57,14 +61,14 @@
     <bridgehead renderas="sect3">Balsa Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="libgnomeui"/>,
+    <para role="required"><xref linkend="libgnomeui"/>,
     <xref linkend="libgnomeprintui"/>,
     <xref linkend="scrollkeeper"/>,
     <xref linkend="aspell"/> and
     <xref linkend="gmime"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="libgtkhtml"/>,
+    <para role="optional"><xref linkend="libgtkhtml"/>,
     <xref linkend="libesmtp"/>,
     <xref linkend="openssl"/>,
     <xref linkend="openldap"/>,
@@ -76,7 +80,8 @@
     <ulink url="http://www.sqlite.org/">SQLite</ulink></para>
 
     <bridgehead renderas="sect4">Optional to Build Experimental S/MIME Support</bridgehead>
-    <para><ulink url="http://www.gnupg.org/download/index.html#libksba">Libksba</ulink>,
+    <para role="optional"><ulink
+    url="http://www.gnupg.org/download/index.html#libksba">Libksba</ulink>,
     <ulink url="http://www.gnupg.org/download/index.html#gpgme">GPGME</ulink> and
     <ulink url="http://www.gnupg.org/download/index.html#gnupg2">GnuPG-1.9.x</ulink></para>
 

Modified: trunk/BOOK/xsoft/other/pan.xml
===================================================================
--- trunk/BOOK/xsoft/other/pan.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/other/pan.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -18,6 +18,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">pan-&pan-version;.tar</keyword>
+      <keyword role="ftptdir">pan</keyword>
+    </keywordset>
   </sect1info>
 
   <title>Pan-&pan-version;</title>
@@ -58,13 +62,13 @@
     <bridgehead renderas="sect3">Pan Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="gtk2"/>,
+    <para role="required"><xref linkend="gtk2"/>,
     <xref linkend="gnet"/>,
     <xref linkend="intltool"/> and
     <xref linkend="libxml2"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><ulink
+    <para role="optional"><ulink
     url="http://gtkspell.sourceforge.net/download/gtkspell-2.0.4.tar.gz">
     gtkspell-2.0.4</ulink></para>
 

Modified: trunk/BOOK/xsoft/other/thunderbird.xml
===================================================================
--- trunk/BOOK/xsoft/other/thunderbird.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/other/thunderbird.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -38,6 +38,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">thunderbird-&thunderbird-version;-source.tar</keyword>
+      <keyword role="ftptdir">thunderbird</keyword>
+    </keywordset>
   </sect1info>
 
   <title>Thunderbird-&thunderbird-version;</title>
@@ -111,16 +115,16 @@
     <bridgehead renderas="sect3">Thunderbird Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="zip"/>,
+    <para role="required"><xref linkend="zip"/>,
     <xref linkend="gtk2"/> and
     <xref linkend="libidl"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="gnupg"/> (run-time only dependency for the
-    <application>Enigmail</application> extension)</para>
+    <para role="recommended"><xref linkend="gnupg"/> (run-time only dependency
+    for the <application>Enigmail</application> extension)</para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="libjpeg"/>,
+    <para role="optional"><xref linkend="libjpeg"/>,
     <xref linkend="unzip"/>,
     <xref linkend="gnome-vfs"/>,
     <xref linkend="libgnome"/>,

Modified: trunk/BOOK/xsoft/suites/koffice.xml
===================================================================
--- trunk/BOOK/xsoft/suites/koffice.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/suites/koffice.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -18,6 +18,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">koffice-&koffice-version;.tar</keyword>
+      <keyword role="ftptdir">koffice</keyword>
+    </keywordset>
   </sect1info>
 
   <title>KOffice-&koffice-version;</title>
@@ -77,16 +81,16 @@
     <bridgehead renderas="sect3">KOffice Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="kdebase"/></para>
+    <para role="required"><xref linkend="kdebase"/></para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="libjpeg"/>,
+    <para role="recommended"><xref linkend="libjpeg"/>,
     <xref linkend="libart_lgpl"/>,
     <xref linkend="libxml2"/>,
     <xref linkend="libxslt"/></para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><xref linkend="aspell"/>,
+    <para role="optional"><xref linkend="aspell"/>,
     <xref linkend="python"/>,
     <xref linkend="postgresql"/> (for kexi),
     <xref linkend="mysql"/> (plugin),

Modified: trunk/BOOK/xsoft/suites/openoffice.xml
===================================================================
--- trunk/BOOK/xsoft/suites/openoffice.xml	2005-12-08 11:41:26 UTC (rev 5376)
+++ trunk/BOOK/xsoft/suites/openoffice.xml	2005-12-08 12:17:37 UTC (rev 5377)
@@ -18,6 +18,10 @@
   <sect1info>
     <othername>$LastChangedBy$</othername>
     <date>$Date$</date>
+    <keywordset>
+      <keyword role="package">OOo_&openoffice-version;_src.tar</keyword>
+      <keyword role="ftptdir">OOo</keyword>
+    </keywordset>
   </sect1info>
 
   <title>OpenOffice-&openoffice-version;</title>
@@ -57,19 +61,19 @@
     <bridgehead renderas="sect3">Additional Downloads</bridgehead>
     <itemizedlist spacing='compact'>
       <listitem>
-        <para>Required patch for use with gcc-&gcc-version;: 
+        <para>Required patch for use with gcc-&gcc-version;:
         <ulink url="&patch-root;/OOo_&openoffice-version;-gcc4-1.patch"/>
         </para>
       </listitem>
 
       <listitem>
-        <para>Required patch for use with NPTL: 
+        <para>Required patch for use with NPTL:
         <ulink url="&patch-root;/OOo_&openoffice-version;-nptl-1.patch"/></para>
       </listitem>
 
       <listitem>
         <para>Required patch for use  with
-        <application>JDK</application>-&jdk-src-version;: 
+        <application>JDK</application>-&jdk-src-version;:
         <ulink url="&patch-root;/OOo_&openoffice-version;-jdk_1.5-1.patch"/>
         </para>
       </listitem>
@@ -84,27 +88,27 @@
       <listitem>
         <para>Optional patch if
         <application>Linux-PAM</application>-&linux-pam-version; is not
-        installed: 
+        installed:
         <ulink url="&patch-root;/OOo_&openoffice-version;-no_pam-1.patch"/></para>
       </listitem>
 
       <listitem>
         <para>Optional patch if building against the system installed
-        <application>Firefox</application>: 
+        <application>Firefox</application>:
         <ulink url="&patch-root;/OOo_&openoffice-version;-xmlsec_no_mozilla-2.patch"/>
         </para>
       </listitem>
 
       <listitem>
         <para>Required update for use with
-        <application>JDK-&jdk-src-version;</application>:  
+        <application>JDK-&jdk-src-version;</application>:
         <ulink url="ftp://anduin.linuxfromscratch.org/BLFS/svn/b/bsh-2.0b4-src.tar.bz2"/>
         </para>
       </listitem>
       <listitem>
         <para>Optional download if not using the system
-        <application>Mozilla</application> or 
-        <application>Firefox</application> browser:  
+        <application>Mozilla</application> or
+        <application>Firefox</application> browser:
         <ulink url="ftp://ftp.mozilla.org/pub/mozilla.org/mozilla/releases/mozilla1.7.5/source/mozilla-source-1.7.5.tar.gz"/></para>
       </listitem>
     </itemizedlist>
@@ -112,7 +116,7 @@
     <bridgehead renderas="sect3">OpenOffice Dependencies</bridgehead>
 
     <bridgehead renderas="sect4">Required</bridgehead>
-    <para><xref linkend="apache-ant"/>,
+    <para role="required"><xref linkend="apache-ant"/>,
     <xref linkend="libidl"/>,
     <xref linkend="libxml2"/>,
     <application>Perl Modules</application>
@@ -124,7 +128,7 @@
     <xref linkend="zip"/>.</para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
-    <para><xref linkend="cups"/>,
+    <para role="recommended"><xref linkend="cups"/>,
     <xref linkend="desktop-file-utils"/>,
     <xref linkend="freetype2"/>,
     <xref linkend="gtk2"/>,
@@ -133,7 +137,8 @@
     <xref linkend="startup-notification"/>.</para>
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para><ulink url="http://packages.debian.org/testing/libdevel/libaltlinuxhyph-dev">ALTLinuxhyph</ulink>,
+    <para role="optional"><ulink
+    url="http://packages.debian.org/testing/libdevel/libaltlinuxhyph-dev">ALTLinuxhyph</ulink>,
     <ulink url="http://boost.sourceforge.net/">boost</ulink>,
     <xref linkend="curl"/>,
     <xref linkend="db"/>,
@@ -187,9 +192,9 @@
     <filename>solenv/inc/</filename> and add the desired optimization
     flags to the <envar>CFLAGSOPT</envar> variable. The makefiles are arch
     specific, for instance edit <filename>solenv/inc/unxlngi6.mk</filename>
-    for i686.  Some users have reported problems with 
-    <option>-fomit-frame-pointer</option>. The best option is to not use any 
-    custom optimizations. The following command removes an incorrect 
+    for i686.  Some users have reported problems with
+    <option>-fomit-frame-pointer</option>. The best option is to not use any
+    custom optimizations. The following command removes an incorrect
     <option>-mcpu</option> option in several of the makefiles:</para>
 
 <screen><userinput>sed -i '/^ARCH_FLAGS\*=/d' solenv/inc/unx{lngi{4,5,6},fbsdi}.mk</userinput></screen>
@@ -215,13 +220,13 @@
     <para>Configure <application>OpenOffice</application> using the following
     commands:</para>
 
-    <note><para>You should review the output of 
-    <command>config_office/configure --help</command> and take advantage of 
-    any system installed programs and libraries available using the 
-    <parameter>--with-system-*</parameter> parameters. Additionally, if 
-    building against <application>Firefox</application>, you must provide 
-    both the <parameter>--with-system-mozilla</parameter> parameter, and 
-    the <parameter>--with-firefox</parameter> parameter to the 
+    <note><para>You should review the output of
+    <command>config_office/configure --help</command> and take advantage of
+    any system installed programs and libraries available using the
+    <parameter>--with-system-*</parameter> parameters. Additionally, if
+    building against <application>Firefox</application>, you must provide
+    both the <parameter>--with-system-mozilla</parameter> parameter, and
+    the <parameter>--with-firefox</parameter> parameter to the
     <filename>configure</filename> script.</para></note>
 
 <screen><userinput>cd config_office/ &&
@@ -348,7 +353,7 @@
     <para><parameter>--disable-cups</parameter>: Disable the use of
     <application>cups</application> for printing.</para>
 
-    <para><parameter>--disable-gnome-vfs</parameter>: Disable the use of 
+    <para><parameter>--disable-gnome-vfs</parameter>: Disable the use of
     <application>Gnome Virtual File System</application> libraries.</para>
 
     <para><parameter>--with-lang=<replaceable>[LANG]</replaceable></parameter>:




More information about the blfs-book mailing list